| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_color_space
GTX Extensions (Experimental)

Related to RGB to HSV conversions and operations. More...

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | hsvColor (tvec3< T, P > const &rgbValue)
| Converts a color from RGB color space to its color in HSV color space. More...
template<typename T , precision P>
GLM_FUNC_DECL T | luminosity (tvec3< T, P > const &color)
| Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rgbColor (tvec3< T, P > const &hsvValue)
| Converts a color from HSV color space to its color in RGB color space. More...
template<typename T >
GLM_FUNC_DECL tmat4x4< T, defaultp > | saturation (T const s)
| Build a saturation matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | saturation (T const s, tvec3< T, P > const &color)
| Modify the saturation of a color. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec4< T, P > | saturation (T const s, tvec4< T, P > const &color)
| Modify the saturation of a color. More...

## Detailed Description

Related to RGB to HSV conversions and operations.

<glm/gtx/color_space.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tvec3<T, P> glm::hsvColor | ( | tvec3< T, P > const & | rgbValue | ) |

Converts a color from RGB color space to its color in HSV color space.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL T glm::luminosity | ( | tvec3< T, P > const & | color | ) |

Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL tvec3<T, P> glm::rgbColor | ( | tvec3< T, P > const & | hsvValue | ) |

Converts a color from HSV color space to its color in RGB color space.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL tmat4x4<T, defaultp> glm::saturation | ( | T const | s | ) |

Build a saturation matrix.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL tvec3<T, P> glm::saturation | ( | T const | s,
|  | tvec3< T, P > const & | color
| ) |  |

Modify the saturation of a color.

See also
  GLM_GTX_color_space

GLM_FUNC_DECL tvec4<T, P> glm::saturation | ( | T const | s,
|  | tvec4< T, P > const & | color
| ) |  |

Modify the saturation of a color.

See also
  GLM_GTX_color_space